## SoupSessionAsync

SoupSessionAsync — (Deprecated) SoupSession for asynchronous (main-loop-based) I/O.

## Types and Values

| SoupSessionAsync

## Object Hierarchy

        GObject
        ╰── SoupSession
            ╰── SoupSessionAsync

## Includes

    #include <libsoup/soup.h>

## Description

SoupSessionAsync is an implementation of SoupSession that uses non-blocking I/O via the glib main loop for all I/O.

As of libsoup 2.42, this is deprecated in favor of the plain SoupSession class (which uses both asynchronous and synchronous I/O, depending on the API used). See the porting guide.

## Functions

## Types and Values

### SoupSessionAsync

    typedef struct _SoupSessionAsync SoupSessionAsync;